S51DUDE:(1)

NAME
s51dude - In-System Programmer for 8051 MCUs using usbtiny

DESCRIPTION
s51dude [options] -p <target> <action>

TARGET
This program supports a number of Atmel 8051 MUCs.
Supported part list:

s8252  AT89S8252

s8253  AT89S8253

s52  AT89S52

s53  AT89S53

ACTION

-u, --upload <in-file>
    Upload <in-file> to the target device.

-r, --read <out-file>
    Download the contents of the MUCs flash memory and write it to <out-file> in Intel HEX format.

-e, --erase
    Erases the flash memory of the target.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). The options are included below.

--no-verify
    Disable verify.

--dry-run
    Test the action but don't do nothing.

--verbose
    Enable verbose output.

--debug
    Enable debug output.

-h, --help
    This help.

AUTHORS
s51dude was written by Lucas Chiesa <lucas.chiesa@gmail.com>, Joaquin de Andres <xcancerberox@gmail.com> and Gabriel Gavinowich <ggavinowich@gmail.com>.